figure('Name','Response Curves')

subplot(5,2,1)
plot(t,fuel_valve,'m')
axis([0 size(t,1)-1 floor(min(fuel_valve))-5 ceil(max(fuel_valve))+5])
Ylabel('Fuel Valve Position (%)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,2)
plot(t,air_valve,'c')
axis([0 size(t,1)-1 floor(min(air_valve))-5 ceil(max(air_valve))+5])
Ylabel('Air Valve Position (%)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,5)
plot(t,furnace_temp,'y')
axis([0 size(t,1)-1 floor(min(furnace_temp))-5 ceil(max(furnace_temp))+5])
Ylabel('Furnace Temperature (deg F)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,3)
plot(t,fuel_flow,'m')
axis([0 size(t,1)-1 floor(min(fuel_flow))-5 ceil(max(fuel_flow))+5])
Ylabel('Fuel Flow (lbmol/hr))','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,4)
plot(t,air_flow,'c')
axis([0 size(t,1)-1 floor(min(air_flow))-5 ceil(max(air_flow))+5])
Ylabel('Air Flow (lbmol/hr)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,6)
plot(t,reactor_temp,'r')
axis([0 size(t,1)-1 floor(min(reactor_temp))-5 ceil(max(reactor_temp))+5])
Ylabel('Reactor Temperature (deg F)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,10)
plot(t,excess_o2,'b')
axis([0 size(t,1)-1 floor(min(excess_o2))-5 ceil(max(excess_o2))+5])
Ylabel('Excess Oxygen (%)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,7)
plot(t,profit,'g')
axis([0 size(t,1)-1 floor(min(profit))-5 ceil(max(profit))+5])
Ylabel('Profit Rate ($/hr)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,8)
plot(t,cum_profit,'g')
axis([0 size(t,1)-1 floor(min(cum_profit))-5 ceil(max(cum_profit))+5])
Ylabel('Cumulative Loss in Profit ($)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')

subplot(5,2,9)
plot(t,amb_temp,'b')
axis([0 size(t,1)-1 floor(min(amb_temp))-5 ceil(max(amb_temp))+5])
Ylabel('Ambient Temperature (deg F)','FontSize',6)
Xlabel('time (min)','FontSize',6)
grid('on')